---
# Source: mastodon/templates/job-db-migrate.yaml
apiVersion: batch/v1
kind: Job
metadata:
  name: mastodon-db-migrate
  labels:
    helm.sh/chart: mastodon-10.0.9
    app.kubernetes.io/name: mastodon
    app.kubernetes.io/instance: mastodon
    app.kubernetes.io/version: "v4.3.4"
    app.kubernetes.io/managed-by: Helm
  annotations:
    "helm.sh/hook": post-install,post-upgrade
    "helm.sh/hook-delete-policy": before-hook-creation,hook-succeeded
    "helm.sh/hook-weight": "-2"
spec:
  template:
    metadata:
      name: mastodon-db-migrate
    spec:
      restartPolicy: Never
      volumes:
        
        - name: assets
          persistentVolumeClaim:
            claimName: mastodon-assets
        - name: system
          persistentVolumeClaim:
            claimName: mastodon-system
      securityContext:
            fsGroup: 991
            runAsGroup: 991
            runAsNonRoot: true
            runAsUser: 991
            seccompProfile:
              type: RuntimeDefault
      containers:
        - name: mastodon-db-migrate
          image: "ghcr.io/mastodon/mastodon:v4.3.4"
          imagePullPolicy: IfNotPresent
          command:
            - bundle
            - exec
            - rake
            - db:migrate
          envFrom:
            - configMapRef:
                name: mastodon-env
            - secretRef:
                name: mastodon
          env:
            - name: "DB_PASS"
              valueFrom:
                secretKeyRef:
                  name: database
                  key: password
            - name: "REDIS_PASSWORD"
              valueFrom:
                secretKeyRef:
                  name: redis
                  key: redis-password
            - name: "PORT"
              value: "3000"
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
              - ALL
          volumeMounts:
            
            - name: assets
              mountPath: /opt/mastodon/public/assets
            - name: system
              mountPath: /opt/mastodon/public/system

